<ng-container *transloco="let t; read: 'general_forms'">
  <h2
    mat-dialog-title
    class="primary-title dialog-header-spacing">
    {{t('edit_profile_picture')}}
  </h2>
  <mat-dialog-content class="mat-typography">
    <app-upload-picture
      [fallbackImage]="fallbackImage"
      [imageUrl]="logoUrl"
      imageFormat="png"
      (imageChanged)="onImageChanged($event)">
    </app-upload-picture>
  </mat-dialog-content>
  <mat-divider></mat-divider>
  <div class="button-container">
    <button
      mat-stroked-button
      color="warn"
      class="round-button stroked-button-border-color"
      mat-dialog-close>
      {{t('cancel')}}
    </button>
    <button
      mat-flat-button
      class="round-button"
      color="primary"
      (click)="saveImage()">
      {{t('save')}}
    </button>
  </div>
</ng-container>
